/*
 * 쐬: 2005/01/10
 *
 */
package jp.starlogic.makotan.jooreport.impl;

import java.io.File;
import java.util.HashMap;

import junit.framework.TestCase;

/**
 * @author makotan
 *
 */
public class JooTemplateTest extends TestCase {
    JooDocumentConverterImpl converter;
    
    protected void setUp() throws Exception {
        converter = new JooDocumentConverterImpl();
        converter.init();
    }
    protected void tearDown() throws Exception {
        converter.terminate();
        super.tearDown();
    }
    public void testCreateDoc() {
        JooTemplateImpl joo = new JooTemplateImpl();
        joo.setTempleteSXWName("class/TemplateTest.sxw");
        joo.setImageSupport(false);
        joo.setOutputOGNLName("\"class/TemplateOutTest.pdf\"");
        joo.setConverter(converter);
        HashMap model = new HashMap();
        model.put("name","Joo");
        
        File pdf = joo.createDocument(model);
        assertTrue(pdf.exists());
    }

    public void testCreateDocName() {
        JooTemplateImpl joo = new JooTemplateImpl();
        joo.setTempleteSXWName("class/TemplateTest.sxw");
        joo.setImageSupport(false);
        joo.setOutputOGNLName("\"class/TemplateOut\"+name+\"Test.pdf\"");
        joo.setConverter(converter);
        HashMap model = new HashMap();
        model.put("name","Joo");
        
        File pdf = joo.createDocument(model);
        assertTrue(pdf.exists());
    }

}
